# Generated by Django 4.2.19 on 2025-02-12 12:26
from django.db import migrations
from django.db import models


class Migration(migrations.Migration):
    initial = True

    run_before = [
        ('libaudit', '0001_install_audit_log'),
    ]

    dependencies = []

    operations = [
        migrations.CreateModel(
            name='AuditLog',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('user_id', models.CharField(db_index=True, max_length=36, null=True, verbose_name='Пользователь')),
                ('user_type_id', models.IntegerField(db_index=True, null=True, verbose_name='Тип пользователя')),
                ('timestamp', models.DateTimeField(auto_now_add=True, db_index=True, verbose_name='Дата, время')),
                ('table_name', models.CharField(max_length=255)),
                ('old_data', models.JSONField(null=True, verbose_name='Объект')),
                ('changes', models.JSONField(null=True, verbose_name='Изменения')),
                (
                    'operation',
                    models.SmallIntegerField(
                        choices=[(1, 'Создание'), (2, 'Изменение'), (3, 'Удаление')], verbose_name='Действие'
                    ),
                ),
                ('request_id', models.CharField(max_length=36, null=True, verbose_name='Идентификатор запроса')),
                ('transaction_id', models.CharField(max_length=36, null=True, verbose_name='Идентификатор транзакции')),
                ('ip_address', models.GenericIPAddressField(null=True, verbose_name='IP адрес')),
            ],
            options={
                'db_table': 'libaudit_audit_log',
            },
        ),
        migrations.CreateModel(
            name='AuditLogViewProxy',
            fields=[],
            options={
                'proxy': True,
                'indexes': [],
                'constraints': [],
            },
            bases=('libaudit_database_table_handler.auditlog',),
        ),
    ]
